# Uses of Interface
org.eclipse.jface.fieldassist.IContentProposal

Packages that use IContentProposal
Package
Description
org.eclipse.jface.fieldassist
Provides classes that help communicate proper content for fields in dialogs and wizards.
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.

## Uses of IContentProposal in org.eclipse.jface.fieldassist

Classes in org.eclipse.jface.fieldassist that implement IContentProposal
Modifier and Type
Class
Description
`class`
`ContentProposal`
A default implementation of `IContentProposal` that allows clients to specify a content proposal using simple constructors.
Methods in org.eclipse.jface.fieldassist that return IContentProposal
Modifier and Type
Method
Description
`IContentProposal[]`
IContentProposalProvider.`getProposals(String contents, int position)`
Return an array of content proposals representing the valid proposals for a field.
`IContentProposal[]`
SimpleContentProposalProvider.`getProposals(String contents, int position)`
Return an array of Objects representing the valid content proposals for a field.
Methods in org.eclipse.jface.fieldassist with parameters of type IContentProposal
Modifier and Type
Method
Description
`void`
IContentProposalListener.`proposalAccepted(IContentProposal proposal)`
A content proposal has been accepted.

## Uses of IContentProposal in org.eclipse.jface.text

Methods in org.eclipse.jface.text that return IContentProposal
Modifier and Type
Method
Description
`IContentProposal[]`
FindReplaceDocumentAdapterContentProposalProvider.`getProposals(String contents, int position)`